
Infrastructure - Task #3046

Create utility to update ORE maps with invalid date formats

2012-07-02 17:48 - Ben Leinfelder

Status: In Progress Start date: 2012-07-02

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 30%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.29-Block.4.3   

Milestone: None Story Points:  

Product Version: *   

Description

Will need to identify these ORE documents and obsolete them with an updated version.

Should be two part:

-generate the list of ORE pids

-use the list to regenerate correct ORE maps for those existing ones.

Related issues:

Related to Infrastructure - Bug #3035: Generated resource maps contain invali... Closed 2012-06-29

History

#1 - 2012-07-19 21:50 - Ben Leinfelder

- Status changed from New to In Progress

Need to test this on a MN, unfortunately they are all tied up with this certificate/test.dataone.org domain rearrangement....

#2 - 2012-07-26 23:50 - Ben Leinfelder

Had to add JCS jar to Metacat in order to actually download the ORE objects being updated (this would also have come up when doing replication

development now that the d1_client cache is being utilized).

I was able to test on the stage MN.

Old ORE: https://mn-stage-ucsb-1.test.dataone.org/knb/d1/mn/v1/meta/resourceMap_6000141086_2.3.4

New ORE: https://mn-stage-ucsb-1.test.dataone.org/knb/d1/mn/v1/meta/resourceMap_6000141086_2.3.4brl

#3 - 2012-08-14 23:41 - Ben Leinfelder

- Parent task deleted (#3035)
